Inhoud

# Instructie DefSng

Als er geen type-aanduidingsteken of sleutelwoord is gespecificeerd, stelt de instructie DefSng het standaardtype variabele in volgens een letterreeks.

### Syntaxis:

        {DefBool|DefCur|DefDate|DefDbl|DefErr|DefInt|DefLng|DefObj|DefStr|DefSng|DefVar} {char|char-char}[,...]

### Parameters:

char: Voorvoegsel van een letter die het standaard data-type voor variabelen aangeeft.

char-char: Bereik van letters dat als voorvoegsel van variabelen het standaard data-type aangeeft.

### Voorbeeld:

        ' Definitie van de voorvoegsels bij het variabele-type:
        DefBool b
        DefCur c,l-m
        DefDate t
        DefDbl f
        DefErr e
        DefInt i-k,N
        DefLng x-z, D
        DefObj U, o-R
        DefSng w,a
        DefStr s
        DefVar V,g

      Sub ExampleDefSng
          wSng=Single ' wSng is een impliciete enkele variabele
          Print afloat, Typename(Word), VarType(anyNum) ' Resultaat is : 0 single 4
      End Sub